# $Revision: 1.8 $, $Date: 2002/05/08 09:32:24 $
Summary:	libPRepS is the PRepS client/server library
Summary(pl):	libPRepS to biblioteka dla klienta/serwera PRepS
Name:		libpreps
Version:	1.6.5
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://webpages.charter.net/stuffle/linux/preps/%{name}-%{version}.tar.gz
Patch0:		%{name}-postgresql_include_path.patch
Patch1:		%{name}-nostatic.patch
Patch2:		%{name}-plpgsql_include_path.patch
Patch3:		%{name}-scripts_ac.patch
Patch4:		%{name}-shell.patch
Patch5:		%{name}-postgres-server.patch
URL:		http://webpages.charter.net/stuffle/linux/preps/preps.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel >= 7.0
BuildRequires:	postgresql-module-plpgsql
BuildRequires:	tetex-dvips
# Requires:	postgresql-clients
Requires:	postgresql-module-plpgsql >= 7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RepS is a simple Problem Reporting System. PRepS is designed around
the bug tracking needs of small to medium sized software projects.
However, PRepS may be flexible enough to be used for other types of
problem or status tracking. For example, PRepS could be setup to track
things that need fixing around the house. Be creative.

The libPRepS package contains the server side scripts used to create
and update PRepS databases. It also contains libpreps. libpreps is a
library that contains routines used by the server, as well as some
routines common to the user interface. For that reason, it is needed
for both the server and the client.

%description -l pl
PRepS suy do kontroli i zarzdzania bdami. PRepS zosta
zaprojektowany do maych i rednich projektw. Mimo to jest na tyle
elestyczny, e moe by uywany przy innych rodzajach problemw
wymagajcych kontroli postepu prac. Moe by na przykad uyty w domu
do nadzoru rzeczy wymagajcych naprawy.

Pakiet libPRepS zawiera skrypty umoliwiajce tworzenie i aktualizacj
baz danych dla serwera. Zawiera te bibliotek libpreps, zawierajc
procedury wykorzystywane przez serwer oraz niektre procedury wsplne
z interfejsem uytkownika. Z tego powodu jest ona wymagana zarwno
przez serwer, jak i przez klientw.

%package devel
Summary:	Header files for libPRepS
Summary(pl):	Pliki nagwkowe dla libPRepS
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package is necessary to compile programs which use libPRepS, eg.
PRepS client/server.

%description devel -l pl
Pakiet ten jest niezbdny podczas kompilacji programw korzystajcych
z biblioteki libPRepS, w szeglnoci klienta/serwera PRepS.

%package static
Summary:	Static library
Summary(pl):	Biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
libPRepS static version.

%description static -l pl
Statyczna wersja biblioteki libPRepS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c -f --foreign
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

gzip -9nf AUTHORS ChangeLog INSTALL NEWS README

rm -f doc/html/Makefile*
mv -f doc/html doc/programmer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%doc doc/C/prepsdb-admin-manual
%doc doc/C/preps-FAQ
%doc doc/programmer
%doc doc/*.fig
%attr(755,root,root) %{_libdir}/*.so*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}/*.sql
%{_datadir}/%{name}/*.in
%{_datadir}/%{name}/*.msg
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libpreps.spec,v $
Revision 1.8  2002/05/08 09:32:24  marcus
- addedd patch for fixing including postgres.h

Revision 1.7  2002/05/07 13:36:59  kloczek
- relase 2.

Revision 1.6  2002/05/07 13:10:31  qboosh
- removed COPYING from doc (known - GPL)
- added --foreign to automake to avoid destroying INSTALL (which contains information
  about creating of databases)

Revision 1.5  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.4  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/28 02:04:21  kloczek
- cosmetics.

Revision 1.1  2002/01/28 01:06:26  ankry
- initial release

Splited preps.spec
